[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

SV: GDI+

From: Hans-Emil Skogh <Hans-Emil.Skogh_at_tritech.se>
Date: Thu, 15 Jan 2009 08:38:58 +0100

>> I tried to save a revision graph, but ended in a dialog where TSVN
>> asks me to download GDI+ to enable this functionality. (Strangely
>> enough, it prompts me *after* I have chosen a filename to save to. It

>> would be more logical if the GDI-check would be done before showing
>> the save file dialog.)
> Nope, because you can save to *.wmf without GDI+.

Ah. I see. Then I guess there's no perfect way to do it... Well, maybe
we could update the text in the dialog with the information that saving
in .wmf is still possible without GDI+?

>> Anyway. The link provided to GDI+ is pretty obviously aimed towards
>> developers. There is no automatic installation or any clear
>> instructions of manual installation.
> That's not our fault, MS provides GDI+ that way.

No. But it seems to me like MS expects applications to ship the
component with their installer if the application depends on it.

>> Is there a reason that we do not provide gdiplus.dll with TSVN?
> * GDI+ is not a small dependency

You mean small as in size?

> * GDI+ is installed on XP and later, only the ancient Win2k doesn't
have it

That's funny. Because I'm running on a freshly installed XP Professional
with Service Pack 3, and Tortoise couldn't find GDI+ on my machine.
(Even though it exists in various locations. For exemple the following:
C:\WINDOWS\WinSxS\x86_Microsoft.Windows.GdiPlus_6595b64144ccf1df_1.0.0.0
_x-ww_8d353f13
C:\WINDOWS\WinSxS\x86_Microsoft.Windows.GdiPlus_6595b64144ccf1df_1.0.260
0.2180_x-ww_522f9f82
C:\WINDOWS\WinSxS\x86_Microsoft.Windows.GdiPlus_6595b64144ccf1df_1.0.260
0.5512_x-ww_dfb54e0c
C:\WINDOWS\WinSxS\x86_Microsoft.Windows.GdiPlus_6595b64144ccf1df_1.0.260
0.5581_x-ww_dfbc4fc4)

Strange indeed...

> I'm considering dropping win2k support for TSVN for the next release
> (1.6) - and if not for 1.6, then definitely for 1.7.

I understand and support that decision. (Even though I still have a
w2k-machine at home.)

Hans-Emil

------------------------------------------------------
http://tortoisesvn.tigris.org/ds/viewMessage.do?dsForumId=757&dsMessageId=1026026

To unsubscribe from this discussion, e-mail: [dev-unsubscribe_at_tortoisesvn.tigris.org].
Received on 2009-01-15 08:44:07 CET

This is an archived mail posted to the TortoiseSVN Dev mailing list.